## kannasaver 1.2

=== CMakeLists.txt ===
project( kannasaver.kss )

find_package( KDE4 REQUIRED )
include( KDE4Defaults )
include( MacroLibrary )

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


set ( kscreensaver_FIND_REQUIRED TRUE )

find_path( KSCREENSAVER_INCLUDE_DIR kscreensaver.h ${KDE4_INCLUDE_DIR} )
find_library( KSCREENSAVER_LIBRARY NAMES kscreensaver PATHS ${KDE4_LIB_DIR} )

include( FindPackageHandleStandardArgs )
find_package_handle_standard_args( kscreensaver DEFAULT_MSG KSCREENSAVER_LIBRARY KSCREENSAVER_INCLUDE_DIR )

add_subdirectory( src )

find_package( Msgfmt REQUIRED )
find_package( Gettext REQUIRED )
add_subdirectory( po )

=== po/CMakeLists.txt ===
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sv )
add_subdirectory( th )
add_subdirectory( uk )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===

set( kannasaver.kss_SRCS
    kannasaver.cpp
    settingswidget.cpp
    main.cpp
)

kde4_add_ui_files( kannasaver.kss_SRCS
    settingswidget.ui
)

kde4_add_kcfg_files( kannasaver.kss_SRCS preferences.kcfgc )

include_directories( ${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}
           ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR} )

kde4_add_executable( kannasaver.kss ${kannasaver.kss_SRCS} )

target_link_libraries( kannasaver.kss
    ${KDE4_KDEUI_LIBS}
    ${KSCREENSAVER_LIBRARY}
)

install( TARGETS kannasaver.kss ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS kannasaver.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ScreenSavers )
install( FILES kannasaver.kcfg    DESTINATION ${KCFG_INSTALL_DIR} )
#install( FILES kannasaverui.rc    DESTINATION ${DATA_INSTALL_DIR}/kannasaver )

=== po/en_GB/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( en_GB ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/it/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( it ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/nds/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( nds ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/th/CMakeLists.txt ===
file( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( th ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kannasaver (1.2-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Remove copyright info for autotools bits, since upstream now uses CMake
      which we don't need to fiddle with
  * Port packaging to KDE4:
    - Bump debhelper build-depend and debian/compat to 8
    - Remove autotools build-depend
    - Add build-depends on cmake, pkg-kde-tools, and replace the kdelibs4-dev
      build-depend with one on kdebase-workspace-dev
    - Switch to debhelper short rules format in debian/rules
    - Switch to source format 3.0 (quilt)
  * Bump Standards-Version to 3.9.1:
    - Make the kannasaver binary package depend on ${misc:Depends}

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 01 Mar 2011 17:17:08 -0500

kannasaver (1.1.1-4.1ubuntu2) natty; urgency=low

  * src/Makefile.*
    + Link against libqt-mt during build to fix FTBFS with 
      ld --no-add-needed (Closes: #554932)
      
 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 06 Jan 2011 12:43:13 +0530

kannasaver (1.1.1-4.1ubuntu1) jaunty; urgency=low

  * Remove aRts support. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure line.

 -- Andreas Wenning <awen@awen.dk>  Wed, 25 Mar 2009 16:28:04 +0100

kannasaver (1.1.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compatibility with GCC 4.3 (Closes: #461701)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 19 Mar 2008 22:59:32 +0100

kannasaver (1.1.1-4) unstable; urgency=low

  * Forgot to relibtoolize after adding AM_MAINTAINER_MODE appropriately.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu,  4 Dec 2005 10:33:13 -0500

kannasaver (1.1.1-3) unstable; urgency=low

  * Relibtoolize to preempt a libfreetype transition.
  * Minor typo fix in manpage.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu,  1 Dec 2005 12:33:43 -0500

kannasaver (1.1.1-2) unstable; urgency=low

  * Downgrade ttf-mikachan to Suggests.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 17 Nov 2005 17:54:40 -0500

kannasaver (1.1.1-1) unstable; urgency=low

  * Initial release Closes: #337174
  * Upstream source cleaned up and repackaged.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue,  1 Nov 2005 22:27:28 -0500

=== debian/control ===
Source: kannasaver
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Schultz <schultz.ryan@gmail.com>
Build-Depends: debhelper (>= 8), cmake, pkg-kde-tools (>= 0.5.0),
 kdebase-workspace-dev
Standards-Version: 3.9.1

Package: kannasaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ttf-arphic-uming
Suggests: ttf-mikachan
Description: Japanese character screensaver
 Kannasaver is a screensaver that displays random characters from the
 Japanese syllabary, ideally causing them to stick in your memory after
 you've viewed them a number of times. Kannasaver can be configured to 
 display basic, extended, and compound characters from hiragana, katakana,
 or both simultaneously.
 .
 You should install a font with Japanese character support before using 
 Kannasaver.
